#!/usr/bin/perl

#---------------------------------------------------------------------------------------------------------
# Don't modify anything below this line unless you know what you're doing.
#---------------------------------------------------------------------------------------------------------

read(STDIN, $buffer, $ENV{'CONTENT_LENGTH'});

@pairs = split(/&/, $buffer);

foreach $pair (@pairs)
	{
	($name, $value) = split(/=/, $pair);
	$value =~ tr/+/ /;
	$value =~ s/%0D%0A/\|/gi;
	$value =~ s/%([a-fA-F0-9][a-fA-F0-9])/pack("C", hex($1))/eg;
	$value =~ s/~!/ ~!/g;

	$FORM{$name} = $value;
	}

if ($FORM{'listname'})
	{
	require $FORM{'listname'};
	}
else
	{
	require "maillist1.cgi";
	}

print "Content-type:text/html\n\n";
print "<HTML>
<HEAD><TITLE>ACME Mail Manager</TITLE></HEAD>";

print "<BODY TEXT=$textcolor BGCOLOR=$bgcolor LINK=STEELBLUE VLINK=DARKRED>
<BASEFONT SIZE=2>
<FONT FACE=ARIAL>
<CENTER>";

print "<TABLE WIDTH=600 CELLPADDING=0 CELLSPACING=0 BORDER=0>
<TR>
<TD WIDTH=100% ALIGN=LEFT VALIGN=MIDDLE>
<FONT SIZE=2 FACE=ARIAL>
<B><FONT SIZE=4 COLOR=DARKRED>ACME MAIL MANAGER (v1.1)</FONT></B>
<P>This mailing list manager was written to address webmasters' needs for an easy to install, idiot-proof and yet versatile mailing list program. It allows you to view your subscribers email, and modify and save the data on-the-fly. Multiple mailing lists are also supported. Just select the mailing list you want to send and the pre-defined settings (subscribers, subject, body, from) will be loaded. (Please read the readme.txt for more information.)
<P>Price: We have decided to make this program free-of-charge. However, we have spent a considerable amount of time on this mailing list and if this program serves you well, please, as a gesture of goodwill, send us whatever amount of money you think this is worth.
<P>
Please make your check payable to <U>Simple Solutions (Pershing)</U> and send it to:
<BLOCKQUOTE>
The Noble Financial Group
<BR>1801 Clint Moore Road Ste. 110
<BR>Boca Raton, Fl 33487
</BLOCKQUOTE>
<P><A HREF=\"mailto:jason\@generationterrorists.com\">Email</A> us if you have any questions.
</FONT>
</TD>
</TR>
</TABLE>";

$individual = $FORM{'mailinglist'}; 

if ($FORM{'command'} eq "save changes")
	{
	@indie = split(/\|/,$individual);

	open (MAILINGLIST, ">$database");
	foreach (@indie)
		{
		print MAILINGLIST "$_\n";
		}
	close (MAILINGLIST);
	}

open (MAILINGLIST, "$database");
@mailinglist = <MAILINGLIST>;
close (MAILINGLIST);


if ($FORM{'command'} eq "send out to mailing list")
	{
	foreach $i (@mailinglist)
		{
		$recipient = $i;
		open (MAIL, "|$mailprog $recipient") || die "Can't open $mailprog!\n";
		print MAIL "Reply-to: $recipient \n";
		print MAIL "Subject: $FORM{'subject'} \n";
		print MAIL "From: $FORM{'owner'} \n";

		$FORM{'body'} =~ s/\|/\n/gi;

		print MAIL "$FORM{'body'} \n";
		close (MAIL);
		}
	}

print "

<P>

<FORM ACTION=\"$filename\" METHOD=\"POST\">
<TABLE WIDTH=$tablewidth CELLSPACING=$cellspacing CELLPADDING=$cellpadding BORDER=$tableborder>
<TR>
<TD WIDTH=100% COLSPAN=3 ALIGN=CENTER VALIGN=MIDDLE BGCOLOR=$pri_color>
<B><FONT FACE=ARIAL SIZE=3>$listname</FONT></B>
</FONT>
</TD>
</TR>

<TR>
<TD WIDTH=\"30%\" ALIGN=CENTER VALIGN=TOP BGCOLOR=$pri_color>
<FONT FACE=ARIAL SIZE=2>
<TEXTAREA NAME=\"mailinglist\" ROWS=18 COLS=20>";

foreach $i (@mailinglist)
	{
	chomp $i;
	print "$i\n";
	}

$count = $#mailinglist+1;

print "</TEXTAREA>
<P>
<FONT SIZE=1>There are currently $count subscribers.</FONT>
<P>
<INPUT TYPE=\"SUBMIT\" NAME=\"command\" VALUE=\"save changes\">
</FONT>
</TD>

<TD WIDTH=\"68%\" ALIGN=LEFT VALIGN=TOP BGCOLOR=$sec_color>
<FONT FACE=ARIAL SIZE=2>
<B>Mailing List</B>
<BR>
<SELECT NAME=\"listname\">";

print "<OPTION VALUE=\"maillist1.cgi\"";
	print " SELECTED" if ($FORM{'listname'} eq "maillist1.cgi");
		print ">Mailing List 1";
print "<OPTION VALUE=\"maillist2.cgi\"";
	print " SELECTED" if ($FORM{'listname'} eq "maillist2.cgi");
		print ">Mailing List 2";
print "<OPTION VALUE=\"maillist3.cgi\"";
	print " SELECTED" if ($FORM{'listname'} eq "maillist3.cgi");
		print ">Mailing List 3";

print "</SELECT>
<INPUT TYPE=\"SUBMIT\" NAME=\"command\" VALUE=\"display\">
<P>
<B>Subject:</B>
<BR><INPUT TYPE=\"TEXT\" NAME=\"subject\" VALUE=\"$default_subject\" SIZE=38 MAXLENGTH=200>
<P>
<B>Body:</B>
<BR><TEXTAREA NAME=\"body\" ROWS=11 COLS=38 WRAP=VIRTUAL>$default_body</TEXTAREA>
<P>
<B>From:</B>
<BR><INPUT TYPE=\"TEXT\" NAME=\"owner\" VALUE=\"$default_from\" SIZE=38 MAXLENGTH=200>
<P>

<CENTER>
<INPUT TYPE=\"SUBMIT\" NAME=\"command\" VALUE=\"send out to mailing list\">
</CENTER>
</FONT>
</TD>

<TD WIDTH=\"2%\" ALIGN=LEFT VALIGN=TOP BGCOLOR=$pri_color>
<FONT SIZE=1>

</FONT>
</TD>

</TR>

<TR>
<TD WIDTH=30% BGCOLOR=$pri_color ALIGN=CENTER VALIGN=MIDDLE>
<FONT FACE=ARIAL SIZE=2>
<B>ACME Mail Manager v1.1</B>
</FONT>
</TD>

<TD WIDTH=70% COLSPAN=2 ALIGN=CENTER VALIGN=MIDDLE BGCOLOR=$pri_color>
<FONT FACE=ARIAL SIZE=2>
<CENTER><B>";

if ($FORM{'command'} eq "send out to mailing list")
	{
	print "e-mail has been sent out";
	}
elsif ($FORM{'command'} eq "save changes")
	{
	print "changes have been saved to the mailing list";
	}
else
	{
	print "waiting for instructions";
	}

print "
</B></CENTER>
</FONT>
</TD>
</TR>
</TABLE>
</FORM>

<FONT SIZE=1>technology by <A HREF=\"http://www.generationterrorists.com/~jason/cgi-bin/probe.html\">GT Designs & Concepts</A></FONT>
<BR>
<BR>

</CENTER>
</FONT>
</BODY>
</HTML>";